# Uses of Interface
org.osgi.framework.hooks.resolver.ResolverHook

Packages that use ResolverHook
Package
Description
org.apache.felix.framework.util
org.osgi.framework.hooks.resolver
Framework Resolver Hooks Package Version 1.0.

## Uses of ResolverHook in org.apache.felix.framework.util

Methods in org.apache.felix.framework.util that return ResolverHook
Modifier and Type
Method
Description
`ResolverHook`
SecureAction.`invokeResolverHookFactory(ResolverHookFactory rhf, Collection<BundleRevision> triggers)`
Methods in org.apache.felix.framework.util with parameters of type ResolverHook
Modifier and Type
Method
Description
`void`
SecureAction.`invokeResolverHookEnd(ResolverHook rh)`
`void`
SecureAction.`invokeResolverHookMatches(ResolverHook rh, BundleRequirement req, Collection<BundleCapability> candidates)`
`void`
SecureAction.`invokeResolverHookResolvable(ResolverHook rh, Collection<BundleRevision> candidates)`
`void`
SecureAction.`invokeResolverHookSingleton(ResolverHook rh, BundleCapability singleton, Collection<BundleCapability> collisions)`

## Uses of ResolverHook in org.osgi.framework.hooks.resolver

Methods in org.osgi.framework.hooks.resolver that return ResolverHook
Modifier and Type
Method
Description
`ResolverHook`
ResolverHookFactory.`begin(Collection<BundleRevision> triggers)`
This method is called by the framework each time a resolve process begins to obtain a `resolver hook` instance.